#include <stdio.h>
#include <stdbool.h>

int main () {
    int n;
    
    scanf("%d", &n);

    int arrx[] = malloc(n * sizeof(int));
    int arry[] = malloc(n * sizeof(int));
    int arrcx[] = malloc(n * sizeof(int));
    int arrcy[] = malloc(n * sizeof(int));

    for (int i = 0; i < n; i++)
    {
        scanf("%d %d", arrx[i], arry[i]);

    }
    
    for (int i =0; i<sizeof(arrx); i++) {
        for (int j = 0; j < sizeof(arry);j++) {
            if (arrx[i])
        }
    }

    return 0;
}

bool contains( int *array[], int n ) {
    for (int i =0; i<sizeof(*array), i++) {
        
    }
}